Bug 65640 - xemacs should be build with berkeley-db support
xemacs should be build with berkeley-db support
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
7.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-29 07:56 EDT by Reuben Thomas
Modified: 2007-03-26 23:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-07 18:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Thomas 2002-05-29 07:56:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
XEmacs as supplied comes without berkeley-db support, so some standard packages 
(e.g. where-was-i) don't work. Since RH comes with db1, 2 and 3, why not use it?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try loading where-was-i
	

Actual Results:  Error, because berkeley-db not supported.

Expected Results:  It should Just Work(tm).

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-07-23 12:58:14 EDT
Wow, something xemacs didn't link against... added in 21.4.8-10
Comment 2 Jens Petersen 2003-05-27 03:00:41 EDT
Where can one fine "where-was-i.el" btw?

(It seems XEmacs 21.4.13 has postgresql support.)
Comment 3 Reuben Thomas 2003-05-27 12:37:00 EDT
locate where-was-i.el says 
"/usr/share/xemacs/xemacs-packages/lisp/edit-utils/where-was-i-db.el"

rpm -qf <that file above> says xemacs-el-21.4.12-6.

The corresponding .elc file is in xemacs-21.4.12-6.

Note You need to log in before you can comment on or make changes to this bug.